<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/**
 *
 * @package     block_course_checker
 * @copyright   2020 Christoph Karlen, Fernfachhochschule Schweiz (FFHS) <christoph.karlen@ffhs.ch>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace block_course_checker\model;

use coding_exception;

defined('MOODLE_INTERNAL') || die();

/**
 * This is an interface made to run a single check.
 */
interface check_edit_form_interface {

    /**
     * @param object $mform
     * @return object $mform
     * @throws coding_exception
     */
    public function specific_definition($mform);

    /**
     * @param $data
     * @param $files
     * @param $errors
     * @return mixed
     * @throws coding_exception
     */
    public function validation($data, $files, $errors);
}